extends Interactable
class_name Receiver

@export var stored_energy: float = 0

func _on_interaction_area_body_entered(body: Player) -> void:
	body.interaction_target = self

func _on_interaction_area_body_exited(body: Player) -> void:
	body.interaction_target = null
